<div class="row-fluid animated fadeIn">
    <kendo-grid [data]="dataGrid" [selectable]="true" [reorderable]="true" [resizable]="true" style="height:55vh;">
        <ng-container *ngIf="dataGrid.length !== 0">
            <kendo-grid-column field="mfecha" title="Fecha" width="120">
                <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.mfecha | date: formatDate }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="Codigo" title="Cod." width="100"></kendo-grid-column>
            <kendo-grid-column field="mvoucher" title="Voucher" width="100" class="text-right"></kendo-grid-column>
            <kendo-grid-column field="mdcod" title="Desc. F.P." width="250"></kendo-grid-column>
            <kendo-grid-column field="mfolio" title="Folio" width="100" class="text-right"></kendo-grid-column>
            <kendo-grid-column field="mhora" title="Hora Mov." width="110">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.mhora | hour }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="mcto" title="Cuarto" width="90"></kendo-grid-column>
            <kendo-grid-column field="msubtotal" title="Subtotal" width="100" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.msubtotal | kendoNumber:'##.00' }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="mprop" title="Serv." width="70" class="text-right">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.mprop | kendoNumber:'##.00' }}</ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="mtm" title="TM" width="70"></kendo-grid-column>
            <kendo-grid-column field="mnajuste" title="#Aj." width="75" class="text-right"></kendo-grid-column>
            <kendo-grid-column field="mcfe" title="Fecha" width="120">
                <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.mcfe | date: formatDate }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="mnotas" title="Notas" width="250"></kendo-grid-column>
            <kendo-grid-column field="tvouc" title="Desglose" width="120"></kendo-grid-column>
            <kendo-grid-column field="mope" title="Ope." width="80"></kendo-grid-column>
            <kendo-grid-column field="TransNo" title="Numero" width="100" class="text-right"></kendo-grid-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
            {{ noRecords }}
        </ng-template>
    </kendo-grid>
</div>